%define anolis_release 1
Summary:	Library for reading and writing sound files
Name:		libsndfile
Version:	1.2.2
Release:	%{anolis_release}%{?dist}
License:	LGPL-2.1-or-later and GPLv2+ and BSD
URL:		http://libsndfile.github.io/libsndfile/
Source0:        https://github.com/libsndfile/libsndfile/releases/download/%{version}/libsndfile-%{version}.tar.xz

Patch0:         libsndfile-1.2.2-cve-2024-50612.patch

BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(flac) >= 1.3.1
BuildRequires:  pkgconfig(libmpg123) >= 1.25.10
BuildRequires:  pkgconfig(ogg) >= 1.3.0
BuildRequires:  pkgconfig(opus) >= 1.1
BuildRequires:  pkgconfig(sqlite3) >= 3.2
BuildRequires:  pkgconfig(vorbis) >= 1.2.3
BuildRequires:  pkgconfig(vorbisenc) >= 1.2.3
BuildRequires:  lame-devel
BuildRequires:	make
BuildRequires:	python

%description
libsndfile is a C library for reading and writing sound files such as
AIFF, AU, WAV, and others through one standard interface. It can
currently read/write 8, 16, 24 and 32-bit PCM files as well as 32 and
64-bit floating point WAV files and a number of compressed formats. It
compiles and runs on *nix, MacOS, and Win32.


%package devel
Summary:	Development files for libsndfile
Requires:	%{name} = %{version}-%{release} pkgconfig


%description devel
libsndfile is a C library for reading and writing sound files such as
AIFF, AU, WAV, and others through one standard interface.
This package contains files needed to develop with libsndfile.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package utils
Summary:	Command Line Utilities for libsndfile
Requires:	%{name} = %{version}-%{release}


%description utils
libsndfile is a C library for reading and writing sound files such as
AIFF, AU, WAV, and others through one standard interface.
This package contains command line utilities for libsndfile.


%prep
%setup -q
%patch -P0 -p1 -b .cve-2024-50612

%build
%configure \
	--enable-sqlite \
	--enable-alsa \
	--enable-largefile \
	--disable-static

%make_build

%install
%make_install
rm -rf __docs
mkdir __docs
cp -pR $RPM_BUILD_ROOT%{_docdir}/%{name}/* __docs
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}

rm -f %{buildroot}%{_bindir}/sndfile-jackplay

%check
%make_build check

%files
%license COPYING
%{_libdir}/%{name}.so.*

%files utils
%{_bindir}/sndfile-cmp
%{_bindir}/sndfile-concat
%{_bindir}/sndfile-convert
%{_bindir}/sndfile-deinterleave
%{_bindir}/sndfile-info
%{_bindir}/sndfile-interleave
%{_bindir}/sndfile-metadata-get
%{_bindir}/sndfile-metadata-set
%{_bindir}/sndfile-play
%{_bindir}/sndfile-salvage
%{_mandir}/man1/sndfile-cmp.1*
%{_mandir}/man1/sndfile-concat.1*
%{_mandir}/man1/sndfile-convert.1*
%{_mandir}/man1/sndfile-deinterleave.1*
%{_mandir}/man1/sndfile-info.1*
%{_mandir}/man1/sndfile-interleave.1*
%{_mandir}/man1/sndfile-metadata-get.1*
%{_mandir}/man1/sndfile-metadata-set.1*
%{_mandir}/man1/sndfile-play.1*
%{_mandir}/man1/sndfile-salvage.1*

%files doc
%doc AUTHORS ChangeLog CHANGELOG.md README SECURITY.md
%doc __docs/*

%files devel
%{_includedir}/sndfile.h
%{_includedir}/sndfile.hh
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/sndfile.pc

%changelog
* Wed Feb 19 2025 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.2.2-1
- Update to 1.2.2 from 1.2.0
- Migrated to SPDX license
- Add patches to fix CVE-2024-50612
  [Patches cherry-pick from c10s. Original changelog:
  - fix crash in ogg vorbis (CVE-2024-50612)(1.2.2-5)]

* Fri Mar 24 2023 Kun(llfl) <llfl@linux.alibaba.com> - 1.2.0-2
- Rebuild for updating dependencies

* Fri Jan 20 2023 Funda Wang <fundawang@yeah.net> - 1.2.0-1
- New version 1.2.0

* Tue Apr 19 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.1.0-1
- init from upstream
